> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/pay/webhooks/payout-webhook.md).

# Payout Webhook

We offer webhook callbacks for clients that want to be updated when a deposit is detected on-chain or finalized.

## Webhook payload examples

{% hint style="info" %}
Aquanow invoice guarantees at-least-once delivery of our webhook messages, and to avoid duplicates, you can utilize txHash and adminApproval as deduplication IDs.
{% endhint %}

{% tabs %}
{% tab title="Invoice Closed / Fully Paid" %}

```javascript
{
 "txId": "2df3f8d5-c7aa-4767-b556-d253cdba1cde",
 "accountId": "CA1001112C",
 "address": "0x279FEC0A6Dd30be27D88E837a1f8cC59bD2Bfc07",
 "adminApproval": "DONE",
 "createdAt": 1740417641597,
 "updatedAt": 1740461310234,
 "deliverCurrency": "USD",
 "deliverQuantity": 100,
 "networkFee": 0,
 "networkType": "ETH",
 "orderId": "f9ff8029-ce8d-4469-8116-f3b12f1f87d8",
 "receiveCurrency": "USDT",
 "receiveQuantity": 99.897106,
 "symbol": "USDT",
 "tag": "clientid231",
 "referenceId": "abcd",
 "txHash": "0xc67e3f632a23fb2b8ab025bd6b92539409032b8f7723f4f5dfd540fc1f5f06be",
 "updatedAt": 1740418042025,
 "username": "woojpay"
}
  
```

{% endtab %}
{% endtabs %}

## Callback parameter values

<table data-header-hidden><thead><tr><th width="172.4">parameter</th><th width="150"></th><th>description</th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td>txId</td><td><code>string</code></td><td>transaction Id provided by Aquanow, can be used for query an transaction status</td></tr><tr><td>username</td><td><code>string</code></td><td>Your username</td></tr><tr><td>accountId</td><td><code>string</code></td><td>accountId for your Aquanow account</td></tr><tr><td>createdAt</td><td><code>number</code></td><td>Time of invoice creation in epoch</td></tr><tr><td>adminApproval</td><td><code>"REJECTED" | "CANCELLED" | "DONE"</code></td><td>Status of the payout. </td></tr><tr><td>address</td><td>string</td><td>Address Withdrawn To (IF Crypto)</td></tr><tr><td>deliverCurrency</td><td><code>string</code></td><td>Currency type delivered by user  to be traded.</td></tr><tr><td>deliverQuantity</td><td><code>string</code></td><td>Quantity of currency delivered by user.</td></tr><tr><td>receiveCurrency</td><td><code>number</code></td><td>Currency type withdrawn by user</td></tr><tr><td>receiveQuantity</td><td><code>number</code></td><td>Quantity of currency withdrawn.</td></tr><tr><td>networkFee</td><td><code>number</code></td><td>Fee of the Withdraw (in receiveCurrency)</td></tr><tr><td>networkType</td><td><code>string</code></td><td>Specify a <code>networkType</code> for symbols that support multiple networks.</td></tr><tr><td>referenceId</td><td><code>string</code></td><td>Id of document being used for reference.</td></tr><tr><td>expirationTime</td><td><code>number</code></td><td>Time of expiration in epoch</td></tr><tr><td>txHash</td><td><code>string</code></td><td>Blockchain transaction Id</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aquanow.io/pay/webhooks/payout-webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
